defmodule DecentralisedBookIndex.Sync.DataTransformers.BidTransformer do
  def from_json(json_body) do
    json_body =
      if Map.has_key?(json_body, "data") do
        json_body["data"]
      else
        json_body
      end

    attrs =
      %{
        id: get_in(json_body, ["id"]),
        order: get_in(json_body, ["attributes", "order"]),
        type: get_in(json_body, ["attributes", "type"]),
        bid: get_in(json_body, ["attributes", "bid"])
      }

    {:ok, attrs}
  end
end
