defmodule DecentralisedBookIndexWeb.Components.MyComponents.SelectedBookEdition do
  use Phoenix.Component
  use DecentralisedBookIndexWeb, :verified_routes

  attr :book_editions_registry_form, :map, default: nil

  def selected_book_edition(assigns) do
    ~H"""
    <button
      type="button"
      phx-click="open-select-book-edition"
      phx-target={@notify_component}
      class={"text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"}
    >
      Change the book edition
    </button>
    """
  end
end
